## org.apache.lucene.util
Class SystemPropertiesInvariantRule

    java.lang.Object
      org.apache.lucene.util.SystemPropertiesInvariantRule

All Implemented Interfaces:
  org.junit.rules.TestRule

    public class SystemPropertiesInvariantRule

extends Object
implements org.junit.rules.TestRule

Constructor Summary
`SystemPropertiesInvariantRule()` Cares about all properties.
`SystemPropertiesInvariantRule(Set<String> ignoredProperties)` Don't care about the given set of properties.
`SystemPropertiesInvariantRule(String... ignoredProperties)` Don't care about the given set of properties.

Method Summary
`org.junit.runners.model.Statement` `apply(org.junit.runners.model.Statement s, org.junit.runner.Description d)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemPropertiesInvariantRule

    public SystemPropertiesInvariantRule()

  Cares about all properties.

### SystemPropertiesInvariantRule

    public SystemPropertiesInvariantRule(String... ignoredProperties)

  Don't care about the given set of properties.

### SystemPropertiesInvariantRule

    public SystemPropertiesInvariantRule(Set<String> ignoredProperties)

  Don't care about the given set of properties.

Method Detail

### apply

    public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement s,
                                                   org.junit.runner.Description d)

  Specified by:
    `apply` in interface `org.junit.rules.TestRule`